# Zendesk

### Overview

The Veza integration for Zendesk enables the discovery of Users, Groups, and Roles from the Zendesk platform. Veza uses the Zendesk API to populate the Access Graph with entities and metadata.

This document explains how to enable and create a Zendesk integration. See [Notes and Supported Entities](#notes-and-supported-entities) for more details.

### Configuring Zendesk

The Veza integration for Zendesk utilizes the [Zendesk API](https://developer.zendesk.com/api-reference/) to gather entity and entitlement metadata.

Access to the Zendesk API requires an account with the necessary permissions to read Users, Groups, and Roles.

#### Create a Zendesk API Token

To create an API token for the Veza integration, follow these steps or refer to [Managing access to the Zendesk API](https://support.zendesk.com/hc/en-us/articles/4408889192858-Generating-a-new-API-token):

1. Sign in to your Zendesk account as an administrator. 2, In Admin Center, click **Apps and integrations** in the sidebar. Open **APIs** > **Zendesk API**.
2. Click **Add API token**.
3. **Copy** the token and paste it somewhere secure. The full token will not be shown after you click save.

Use the token value to configure the Veza integration.

### Configuring Zendesk on the Veza Platform

To enable Veza to gather data from the Zendesk platform:

1. In Veza, open the Integrations page.
2. Click *Add New* and choose Zendesk as the type of integration to add.
3. Enter the requested information and *Save* the configuration.

| **Field**      | **Notes**                                                                  |
| -------------- | -------------------------------------------------------------------------- |
| *Name*         | A unique display name for the Zendesk platform connection                  |
| *Zendesk URL*  | The base URL for your Zendesk instance (e.g., `https://myorg.zendesk.com`) |
| *Zendesk User* | The email address of the Zendesk account the API token was generated for   |
| *API Token*    | The API token created above                                                |

### Notes and Supported Entities

#### Zendesk User

| **Attribute**   | **Notes**                                                        |
| --------------- | ---------------------------------------------------------------- |
| `created_at`    | The timestamp when the user account was created                  |
| `last_login_at` | The timestamp when the user account last logged in               |
| `is_active`     | Boolean indicating if the account is active or suspended         |
| `id`            | The Zendesk ID for the user                                      |
| `display_name`  | The user's display name, if set                                  |
| `role`          | The user's simplified role type: "end-user", "agent", or "admin" |

#### Zendesk Group

| **Attribute** | **Notes**                       |
| ------------- | ------------------------------- |
| `id`          | The Zendesk ID for the group    |
| `description` | The group's description, if set |

#### Zendesk Role

| **Attribute** | **Notes**       |
| ------------- | --------------- |
| `id`          | Zendesk role ID |
| `name`        | The role name   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/integrations/integrations/zendesk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
